#!/usr/bin/env bash

set -e

fastboot stage FSBL.bin
fastboot continue
sleep 1
fastboot stage u-boot.itb
fastboot continue
sleep 1
fastboot flash mtd partition.json
fastboot flash mtd-bootinfo bootinfo_spinor.bin
fastboot flash mtd-fsbl FSBL.bin
fastboot flash mtd-opensbi fw_dynamic.itb
fastboot flash mtd-env u-boot-env-default.bin
fastboot flash mtd-uboot u-boot.itb

echo
read -p "Finished. Press ENTER to exit. "
